Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.impl.handler
Class IdentityDataMessageHandler

    java.lang.Object
      be.fedict.eid.applet.service.impl.handler.IdentityDataMessageHandler

All Implemented Interfaces:
  MessageHandler<be.fedict.eid.applet.shared.IdentityDataMessage>

    @HandlesMessage(value=be.fedict.eid.applet.shared.IdentityDataMessage.class)
    public class IdentityDataMessageHandler

extends Object
implements MessageHandler<be.fedict.eid.applet.shared.IdentityDataMessage>

Message handler for the identity data message.

Author:
  Frank Cornelis

Field Summary
`static String` | `ADDRESS_SESSION_ATTRIBUTE`
`static String` | `AUTHN_CERT_SESSION_ATTRIBUTE`
`static String` | `CA_CERT_SESSION_ATTRIBUTE`
`static String` | `EID_CERTS_SESSION_ATTRIBUTE`
`static String` | `EID_SESSION_ATTRIBUTE`
`static String` | `IDENTITY_SESSION_ATTRIBUTE`
`static String` | `PHOTO_SESSION_ATTRIBUTE`
`static String` | `ROOT_CERT_SESSION_ATTRIBTUE` Please use ROOT_CERT_SESSION_ATTRIBUTE instead.
`static String` | `ROOT_CERT_SESSION_ATTRIBUTE`
`static String` | `SIGN_CERT_SESSION_ATTRIBUTE`
`static String` | `SKIP_NATIONAL_NUMBER_CHECK_INIT_PARAM_NAME`

Constructor Summary
`IdentityDataMessageHandler()`

Method Summary
`Object` | `handleMessage(be.fedict.eid.applet.shared.IdentityDataMessage message, Map<String,String> httpHeaders, HttpServletRequest request, HttpSession session)` Handles the given message.
`void` | `init(ServletConfig config)` Initializes this message handler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IDENTITY_SESSION_ATTRIBUTE

    public static final String IDENTITY_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### ADDRESS_SESSION_ATTRIBUTE

    public static final String ADDRESS_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### PHOTO_SESSION_ATTRIBUTE

    public static final String PHOTO_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### EID_SESSION_ATTRIBUTE

    public static final String EID_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### EID_CERTS_SESSION_ATTRIBUTE

    public static final String EID_CERTS_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### AUTHN_CERT_SESSION_ATTRIBUTE

    public static final String AUTHN_CERT_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### SIGN_CERT_SESSION_ATTRIBUTE

    public static final String SIGN_CERT_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### CA_CERT_SESSION_ATTRIBUTE

    public static final String CA_CERT_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### ROOT_CERT_SESSION_ATTRIBTUE

    public static final String ROOT_CERT_SESSION_ATTRIBTUE

  Please use ROOT_CERT_SESSION_ATTRIBUTE instead.

  See Also:
    Constant Field Values

### ROOT_CERT_SESSION_ATTRIBUTE

    public static final String ROOT_CERT_SESSION_ATTRIBUTE

See Also:
  Constant Field Values

### SKIP_NATIONAL_NUMBER_CHECK_INIT_PARAM_NAME

    public static final String SKIP_NATIONAL_NUMBER_CHECK_INIT_PARAM_NAME

See Also:
  Constant Field Values

Constructor Detail

### IdentityDataMessageHandler

    public IdentityDataMessageHandler()

Method Detail

### handleMessage

    public Object handleMessage(be.fedict.eid.applet.shared.IdentityDataMessage message,
                                Map<String,String> httpHeaders,
                                HttpServletRequest request,
                                HttpSession session)
                         throws ServletException

  Description copied from interface: `MessageHandler`
  Handles the given message. Returns the response message to send back, this can be `null`.

  Specified by:
    `handleMessage` in interface `MessageHandler<be.fedict.eid.applet.shared.IdentityDataMessage>`
    `request` - the request from which the body already may be consumed.
  Returns:
    the optional response message to send back.
  Throws:
    `ServletException`

### init

    public void init(ServletConfig config)
              throws ServletException

  Description copied from interface: `MessageHandler`
  Initializes this message handler.

  Specified by:
    `init` in interface `MessageHandler<be.fedict.eid.applet.shared.IdentityDataMessage>`
  Throws:
    `ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.